Debian Bug report logs - #354496
RM: psys -- RoQA; orphaned, unused

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Christoph Berg <myon@debian.org>

Date: Sun, 26 Feb 2006 22:03:02 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fernando Sanchez <fer@debian.org>, <wnpp@debian.org>:
Bug#354496; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: psys -- p-system emulation libraries for Chipmunk tools [development].
Date: Sun, 26 Feb 2006 22:15:45 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of psys, Fernando Sanchez <fer@debian.org>,
is not active anymore and has orphaned this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: psys
Binary: libpsys-dev, libpsys1
Version: 1.56-3.2
Priority: optional
Section: devel
Maintainer: Fernando Sanchez <fer@debian.org>
Build-Depends: debhelper, libx11-dev, x-dev
Architecture: any
Standards-Version: 3.5.6.0
Format: 1.0
Directory: pool/main/p/psys
Files:
 2834f01dd9cb52eb9764e3af6268881f 577 psys_1.56-3.2.dsc
 7af08a5dff739ddcd712fd4e9136a904 201011 psys_1.56.orig.tar.gz
 5152dba04a02b96421a7ada4a94e365b 6391 psys_1.56-3.2.diff.gz

Package: libpsys-dev
Priority: optional
Section: libdevel
Installed-Size: 584
Maintainer: Fernando Sanchez <fer@debian.org>
Architecture: i386
Source: psys
Version: 1.56-3.2
Depends: libpsys1 (= 1.56-3.2), libc6-dev
Filename: pool/main/p/psys/libpsys-dev_1.56-3.2_i386.deb
Size: 182642
MD5sum: 002569a84d89da59dbf7554879a1025e
Description: p-system emulation libraries for Chipmunk tools [development].
 Psys is the p-system emulation libraries for the caltech tools. Psys's
 purpose in life is to support the graphical tools in the Caltech CAD
 distribution: analog, wol, view, and until. These libraries must be
 installed before attempting to install these tools.
Tag: devel::library, role::sw:devel-lib

Package: libpsys1
Priority: optional
Section: libs
Installed-Size: 384
Maintainer: Fernando Sanchez <fer@debian.org>
Architecture: i386
Source: psys
Version: 1.56-3.2
Depends: libc6 (>= 2.3.5-1)
Filename: pool/main/p/psys/libpsys1_1.56-3.2_i386.deb
Size: 175932
MD5sum: c4792c1aa914c48829592816f2e064de
Description: p-system emulation runtime libraries for Chipmunk tools.
 Psys is the p-system emulation libraries for the caltech tools. Psys's
 purpose in life is to support the graphical tools in the Caltech CAD
 distribution: analog, wol, view, and until. These libraries must be
 installed before attempting to install these tools.
Tag: devel::library


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#354496; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #8 received at 354496@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 354496@bugs.debian.org
Subject: Re: O: psys -- p-system emulation libraries for Chipmunk tools [development].
Date: Tue, 14 Mar 2006 09:44:34 +0100
Hi,

Note to potential adopters: chipmunk-log, the only reverse dependency
of psys, was removed last year [1].  We should probably remove psys as
well in a little while.

[1] <http://bugs.debian.org/327631>

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#354496; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #13 received at 354496@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 354496@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org
Subject: RM: psys -- RoQA; orphaned, unused
Date: Mon, 31 Jul 2006 00:47:22 +0200
retitle 354496 RM: psys -- RoQA; orphaned, unused
reassign 354496 ftp.debian.org
thanks

I think we should remove psys.

  * Orphaned for 5 months.
  * Its only reverse dependency, chipmunk-log, was removed in September 2005.
  * Last upstream release a year ago:
    <http://www.cs.berkeley.edu/~lazzaro/chipmunk/pickup/sources/psys-1.59.tar.gz>
  * popcon: 45 installs, 10 votes.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 354496-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 354496-close@bugs.debian.org
Cc: psys@packages.debian.org, psys@packages.qa.debian.org
Subject: Bug#354496: fixed
Date: Sun, 13 Aug 2006 08:15:03 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libpsys-dev |     1.56-4 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  libpsys1 |     1.56-4 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
      psys |     1.56-4 | source

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 354496@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 22:23:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:01:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.